org.apache.geode.pdx

## Class DSInsidePdx

- java.lang.Object
- - org.apache.geode.pdx.DSInsidePdx

- All Implemented Interfaces:
    PdxSerializable

      public class DSInsidePdx
      extends java.lang.Object
      implements PdxSerializable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DSInsidePdx()`
    `DSInsidePdx(java.lang.String str1, long myLong, DataSerializable myDS, java.lang.String str2, float myFloat)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `void` | `fromData(PdxReader in)` Deserializes the PDX fields using the given reader.
    `int` | `hashCode()`
    `void` | `toData(PdxWriter out)` Serializes the PDX fields using the given writer.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DSInsidePdx

          public DSInsidePdx()

    - #### DSInsidePdx

          public DSInsidePdx(java.lang.String str1,
                             long myLong,
                             DataSerializable myDS,
                             java.lang.String str2,
                             float myFloat)

  - ### Method Detail

    - #### toData

          public void toData(PdxWriter out)

      Description copied from interface: `PdxSerializable`
      Serializes the PDX fields using the given writer.
      Specified by:
        `toData` in interface `PdxSerializable`
      Parameters:
        `out` - the `PdxWriter` to use to write the PDX fields.

    - #### fromData

          public void fromData(PdxReader in)

      Description copied from interface: `PdxSerializable`
      Deserializes the PDX fields using the given reader.
      Specified by:
        `fromData` in interface `PdxSerializable`
      Parameters:
        `in` - the `PdxReader` to use to read the PDX fields.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`